// File:	AddCommand.hpp												     //
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
#pragma once
#include "Command.h"
#include "EditorWaypoint.h"

class InsertPathNodeCommand : 
	public Command
{

public:
	InsertPathNodeCommand(EditorPathNode* node);
	virtual ~InsertPathNodeCommand();

	EditorPathNode 
		*insertedNode;

	void 
		Undo();
};


class InsertBoundaryNodeCommand : 
	public Command
{

public:
	InsertBoundaryNodeCommand(EditorBoundaryNode* node);
	virtual ~InsertBoundaryNodeCommand();

	EditorBoundaryNode 
		*insertedNode;

	void 
		Undo();
};
